API documentation | API docs for agents | OpenAPI 3.1

POST /api/v1/locations/import

ark.import_locations

Validates and imports shipper, consignee, and customer locations from parsed CSV rows with team visibility, customer matching, and duplicate skipping.

Availability
Expanded preview
Scopes
locations:write
ARK permissions
canCreateLocation
Team visibility
Required and enforced
Idempotency-Key
Required for this write
Approval
No MCP approval on REST API-token calls
Rate limit
API credential and organization budgets

Parameters

Idempotency-Keyheaderstringrequired
Required for external write operations. Reuse the same key only for exact retries of the same request body.
min length: 1; max length: 200

Request body

Example request

Shell
curl -X POST 'https://arktms.com/api/v1/locations/import' \
  -H "Authorization: Bearer $ARK_API_TOKEN" \
  -H "Idempotency-Key: <unique-key>" \
  -H "Content-Type: application/json" \
  -d '{
  "rows": [
    {
      "name": "<name>"
    }
  ]
}'

Success response

Location import result

objectstringrequired
okbooleanrequired
api_versionstringrequired
request_idstringrequired
dataobjectrequired
data.successbooleanrequired
data.totalRowsintegerrequired

min: 0

data.successCountintegerrequired

min: 0

data.errorCountintegerrequired

min: 0

data.skippedCountintegerrequired

min: 0

Errors

HTTP 400
Invalid request
HTTP 401
Authentication required
HTTP 403
Permission, scope, team, or entitlement denied
HTTP 409
Idempotency conflict or in-progress retry